import java.io.*; //java girdi cikti sinifini cagir
import ogrenci;
import ogrenciFrame;

class H5OD3_2000a
{
public static void main(String args[]) throws IOException
{
Text cin=new Text();
int i,n;
int not=0;
double toplam = 0;
String isim, soyisim;
ogrenci temp;
System.out.print("Lutfen ogrenci sayisini giriniz = ");
n=cin.readInt();
ogrenci dizi[]=new ogrenci[n];

for(i=0;i<n;i++)
{
//System.out.print("Ogrenci ismi = ");
String s[]=new String[3];
s=ogrenciFrame.showInputDialog("öğrenci isim girişi");
/*
System.out.print("isim : ");
isim = cin.readString();
System.out.print("soyisim : ");
soyisim=cin.readString();
System.out.print("not : ");
not=cin.readInt();
*/
not=Integer.parseInt(s[2]);
dizi[i]=new ogrenci(s[0], s[1],not );
toplam += not;
}
toplam /= (double)n;
System.out.println("Ogrenci Listesi = \n ");
for(i=0;i<dizi.length;i++)
   System.out.println(dizi[i].toString());
System.out.println("sınıf Ortalaması = " + toplam);
}

}
